Package org.eclipse.lemminx

## Class XMLServerSocketLauncher

- java.lang.Object
- - org.eclipse.lemminx.XMLServerSocketLauncher

    public class XMLServerSocketLauncher
    extends Object

### Constructor Summary

Constructors
`XMLServerSocketLauncher()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected int` `getPort​(String... args)`
`void` `launch​(String[] args)` Launches `XMLLanguageServer` using asynchronous server-socket channel and makes it accessible through the JSON RPC protocol defined by the LSP.
`static void` `main​(String[] args)` Calls `launch(String[])`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLServerSocketLauncher

    public XMLServerSocketLauncher()

### Method Detail

#### main

    public static void main​(String[] args)
                     throws Exception

Calls `launch(String[])`

Throws:
  `Exception`

#### launch

    public void launch​(String[] args)
                throws Exception

Launches `XMLLanguageServer` using asynchronous server-socket channel and makes it accessible through the JSON RPC protocol defined by the LSP.

Parameters:
  `args` - standard launch arguments. may contain `--port` argument to change the default port 5008
Throws:
  `Exception`

#### getPort

    protected int getPort​(String... args)